Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

mumble-1.4.230-3.3 RPM for ppc64le

From OpenSuSE Ports Tumbleweed for ppc64le

Name: mumble Distribution: openSUSE Tumbleweed
Version: 1.4.230 Vendor: openSUSE
Release: 3.3 Build date: Sun Jun 19 23:11:56 2022
Group: Productivity/Multimedia/Sound/Utilities Build host: obs-power9-13
Size: 12759437 Source RPM: mumble-1.4.230-3.3.src.rpm
Packager: http://bugs.opensuse.org
Url: http://mumble.sourceforge.net/
Summary: Voice Communication Client for Gamers
Low-latency, high-quality voice communication for gamers. Includes game
linking, so voice from other players comes from the direction of their
characters, and has echo cancellation so the sound from your loudspeakers
won't be audible to other players.

Provides

Requires

License

BSD-2-Clause AND BSD-3-Clause

Changelog

* Wed May 11 2022 Ferdinand Thiessen <rpm@fthiessen.de>
  - Add 36398fb.patch from upstream to fix build with gcc 12
* Sun May 08 2022 Ferdinand Thiessen <rpm@fthiessen.de>
  - Fix build with new poco version (1.11.2), added 73d8a4d5.patch
* Sat Apr 16 2022 Stefan Seyfried <seife+obs@b1-systems.com>
  - do not include 32-bit libmumbleoverlay.x86.so in 64bit build
    (if you want to use that, install mumble-32bit additionally)
    boo#1198535
* Tue Jan 25 2022 Markus Ebner <info@ebner-markus.de>
  - Update to Mumble 1.4.230
    * qmake build-system removed
    * New extended plugin framework
    * Support for stereo playback
    * Support for local naming (nicknames)
    * Markdown support for chat
    * UI indication for access restriction
    * New non-gaming oriented TalkingUI
    * Channel listeners
    * Search dialog for users in a server
  - Cleanup of the specfile
    * Fixed source urls for changed scheme
    * Ported specfile to CMake build-system
    * Use cmake install instead of manual as much as possible
    * Disabled ICE for now (depends on unavailable lib)
    * Removed a lot of obsolete logical branches
    * bonjour is no longer optional
    * Removed init.d script and enabled systemd
* Wed Nov 10 2021 Mia Herkt <mia@0x0.st>
  - Enable JACK support
* Thu Oct 07 2021 Johannes Segitz <jsegitz@suse.com>
  - Added hardening to systemd service(s) (bsc#1181400). Modified:
    * mumble-server.service
* Fri Feb 12 2021 Andreas Stieger <andreas.stieger@gmx.de>
  - mumble 1.3.4:
    * Fix use of outdated (non-existent) notification icon names
    * Fix Security vulnerability caused by allowing non http/https
      URL schemes in public server list (boo#1182123, CVE-2021-27229)
    * Server: Fix Exit status for actions like --version or --supw
    * Fix packet loss & audio artifacts caused by OCB2 XEX*
      mitigation
  - update signing keyring
* Fri Dec 25 2020 Yaroslav Kurlaev <yaroslav.kurlaev@gmail.com>
  - Don't edit categories of .desktop files.
    * Fixes boo#1180068
* Sat Oct 24 2020 Marcus Rueckert <mrueckert@suse.de>
  - update apparmor profiles to get warning free again on 15.2
    - use abstractions for ssl files
    - allow inet dgram sockets as mumble can also work via udp
    - allow netlink socket (probably for dbus)
    - properly allow lsb_release again
    - add support for optional local include
  - start murmurd directly as user mumble-server it gets rid of the
    dac_override/setgid/setuid/chown permissions
* Mon Oct 05 2020 Markus Ebner <info@ebner-markus.de>
  - Update to upstream version 1.3.3
  - Client
    * Fixed: Chatbox invisble (zero height) (#4388)
    * Fixed: Handling of invalid packet sizes (#4394)
    * Fixed: Race-condition leading to loss of shortcuts (#4430)
    * Fixed: Link in About dialog is now clickable again (#4454)
    * Fixed: Sizing issues in ACL-Editor (#4455)
    * Improved: PulseAudio now always samples at 48 kHz (#4449)
  - Server
    * Fixed: Crash due to problems when using PostgreSQL (#4370)
    * Fixed: Handling of invalid package sizes (#4392)
* Wed Aug 19 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - Consistently use %{_tmpfilesdir} instead of abusing
    %{_libexecdir}/tmpfiles.d.
* Sat Jul 11 2020 Andreas Stieger <andreas.stieger@gmx.de>
  - mumble 1.3.2:
    * client: Fixed overlay not starting
  - fetch upstream release signing key for 2020
* Fri Jun 19 2020 UTC - Markus Ebner <info@ebner-markus.de>
  - Update to upstream version 1.3.1
  - Security
    * Fixed: Potential exploit in the OCB2 encryption (#4227)
      boo#1174041
  - ICE
    * Fixed: Added missing UserKDFIterations field to UserInfo =>
      Prevents getRegistration() from failing with enumerator
      out of range error (#3835)
  - GRPC
    * Fixed: Segmentation fault during murmur shutdown (#3938)
  - Client
    * Fixed: Crash when using multiple monitors (#3756)
    * Fixed: Don't send empty message from clipboard via shortcut,
      if clipboard is empty (#3864)
    * Fixed: Talking indicator being able to freeze to indicate talking
      when self-muted (#4006)
    * Fixed: High CPU usage for update-check if update server not
      available (#4019)
    * Fixed: DBus getCurrentUrl returning empty string when not in
      root-channel (#4029)
    * Fixed: Small parts of whispering leaking out (#4051)
    * Fixed: Last audio frame of normal talking is sent to last
      whisper target (#4050)
    * Fixed: LAN-icon not found in ConnectDialog (#4058)
    * Improved: Set maximal vertical size for User Volume Adjustment
      dialog (#3801)
    * Improved: Don't send empty data to PulseAudio (#3316)
    * Improved: Use the SRV resolved port for UDP connections (#3820)
    * Improved: Manual Plugin UI (#3919)
    * Improved: Don't start Jack server by default (#3990)
    * Improved: Overlay doesn't hook into all other processes by
      default (#4041)
    * Improved: Wait longer before disconnecting from a server due
      to unanswered Ping-messages (#4123)
  - Server
    * Fixed: Possibility to circumvent max user-count
      in channel (#3880)
    * Fixed: Rate-limit implementation susceptible to
      time-underflow (#4004)
    * Fixed: OpenSSL error 140E0197 with Qt >= 5.12.2 (#4032)
    * Fixed: VersionCheck for SQL for when to use the
      WAL feature (#4163)
    * Fixed: Wrong database encoding that could lead
      to server-crash (#4220)
    * Fixed: DB crash due to primary key violation
      (now performs "UPSERT" to avoid this) (#4105)
    * Improved: The fields in the Version ProtoBuf message are
      now size-restricted (#4101)
  - Drop patch add-speechd-include-path.patch, included upstream
* Wed Apr 15 2020 Marcus Rueckert <mrueckert@suse.de>
  - use the "profile profilename /path/to/binary" syntax to make
    "ps aufxZ" more readable
* Wed Nov 06 2019 opensuse@trummer.xyz
  - set permissions of config file to 640 because it can contain passwords
* Wed Sep 11 2019 Christophe Giboudeaux <christophe@krop.fr>
  - Really use the system speex and opus dependencies.
  - Run spec-cleaner, use pkgconfig() style BuildRequires when possible.
  - Fix the package requirements.
  - Remove obsolete conditions and build options.
  - Also recommend the Qt mysql and psql backend. Murmur also supports
    those drivers.
* Tue Sep 10 2019 Michal Suchanek <msuchanek@suse.de>
  - Update to upstream version 1.3.0 final.
    Release notes at:
      https://www.mumble.info/blog/mumble-1.3.0-release-announcement/
  - Use system speex and opus.
* Tue Sep 03 2019 Michal Suchanek <msuchanek@suse.de>
  - Update to upstream version 1.3.0-rc2. Supports Qt5. (boo#1148406)
  - Remove upstreamed patches:
    - 0001-AudioOutput-do-not-use-non-existant-template-version.patch
    - appdata.patch
    - initialize-soundfile-format.patch
    - mumble-1.2.2-buildcompare.diff
    - mumble-1.2.11-desktop_fix.diff
    - mumble-1.2.19-limit-amount-of-messages.patch
    - mumble-1.2.19-stricter-message-limit.patch
    - mumble-pr-3623-protobuf37.patch
  - Refresh add-speechd-include-path.patch
* Fri Jul 12 2019 Ferdinand Thiessen <rpm@fthiessen.de>
  - Added patches to fix boo#1123334 (CVE-2018-20743), instability
    and crash due to crafted message flooding
    * added mumble-1.2.19-limit-amount-of-messages.patch (backported
      version of upstream patch)
    * added mumble-1.2.19-stricter-message-limit.patch (backported
      version of upstream patch)
  - Cleaned spec file, removed old EOL openSUSE and Fedora versions
* Wed Jun 26 2019 Dirk Mueller <dmueller@suse.com>
  - add mumble-pr-3623-protobuf37.patch to fix build against protobuf 3.7
* Wed Jun 05 2019 Ismail Dönmez <idonmez@suse.com>
  - Add add-speechd-include-path.patch to fix speechd include paths
  - Enable speechd everywhere now
* Sun Apr 14 2019 Christian Boltz <suse-beta@cboltz.de>
  - update murmurd AppArmor profile
    - update bash path for usrMerge (boo#1132350)
    - use abstractions/openssl instead of a rule for openssl.cnf

Files

/usr/bin/mumble
/usr/bin/mumble-overlay
/usr/lib64/mumble
/usr/lib64/mumble/libcelt0.so
/usr/lib64/mumble/libcelt0.so.0.7.0
/usr/lib64/mumble/libmumbleoverlay.so
/usr/lib64/mumble/libmumbleoverlay.so.1.4.0
/usr/lib64/mumble/plugins
/usr/lib64/mumble/plugins/libamongus.so
/usr/lib64/mumble/plugins/libaoc.so
/usr/lib64/mumble/plugins/libarma2.so
/usr/lib64/mumble/plugins/libbf1.so
/usr/lib64/mumble/plugins/libbf1942.so
/usr/lib64/mumble/plugins/libbf2.so
/usr/lib64/mumble/plugins/libbf2142.so
/usr/lib64/mumble/plugins/libbf3.so
/usr/lib64/mumble/plugins/libbf4.so
/usr/lib64/mumble/plugins/libbf4_x86.so
/usr/lib64/mumble/plugins/libbfbc2.so
/usr/lib64/mumble/plugins/libbfheroes.so
/usr/lib64/mumble/plugins/libblacklight.so
/usr/lib64/mumble/plugins/libborderlands.so
/usr/lib64/mumble/plugins/libborderlands2.so
/usr/lib64/mumble/plugins/libbreach.so
/usr/lib64/mumble/plugins/libcod2.so
/usr/lib64/mumble/plugins/libcod4.so
/usr/lib64/mumble/plugins/libcod5.so
/usr/lib64/mumble/plugins/libcodmw2.so
/usr/lib64/mumble/plugins/libcodmw2so.so
/usr/lib64/mumble/plugins/libcs.so
/usr/lib64/mumble/plugins/libdys.so
/usr/lib64/mumble/plugins/libetqw.so
/usr/lib64/mumble/plugins/libffxiv.so
/usr/lib64/mumble/plugins/libffxiv_x64.so
/usr/lib64/mumble/plugins/libgmod.so
/usr/lib64/mumble/plugins/libgtaiv.so
/usr/lib64/mumble/plugins/libgtasa.so
/usr/lib64/mumble/plugins/libgtav.so
/usr/lib64/mumble/plugins/libgw.so
/usr/lib64/mumble/plugins/libinsurgency.so
/usr/lib64/mumble/plugins/libjc2.so
/usr/lib64/mumble/plugins/liblink.so
/usr/lib64/mumble/plugins/liblol.so
/usr/lib64/mumble/plugins/liblotro.so
/usr/lib64/mumble/plugins/libql.so
/usr/lib64/mumble/plugins/librl.so
/usr/lib64/mumble/plugins/libse.so
/usr/lib64/mumble/plugins/libsr.so
/usr/lib64/mumble/plugins/libut2004.so
/usr/lib64/mumble/plugins/libut3.so
/usr/lib64/mumble/plugins/libut99.so
/usr/lib64/mumble/plugins/libwolfet.so
/usr/lib64/mumble/plugins/libwow.so
/usr/lib64/mumble/plugins/libwow_x64.so
/usr/share/applications/org.mumble_voip.mumble.desktop
/usr/share/doc/packages/mumble
/usr/share/doc/packages/mumble/LICENSE
/usr/share/doc/packages/mumble/README.md
/usr/share/doc/packages/mumble/scripts
/usr/share/doc/packages/mumble/scripts/backportTranslations.py
/usr/share/doc/packages/mumble/scripts/commitMessage
/usr/share/doc/packages/mumble/scripts/commitMessage/CommitMessage.py
/usr/share/doc/packages/mumble/scripts/development
/usr/share/doc/packages/mumble/scripts/development/IconSync.cpp
/usr/share/doc/packages/mumble/scripts/extract-emojione-flags.py
/usr/share/doc/packages/mumble/scripts/generate-AUTHORS.py
/usr/share/doc/packages/mumble/scripts/generate-ApplicationPalette-class.py
/usr/share/doc/packages/mumble/scripts/generate-CHANGES.py
/usr/share/doc/packages/mumble/scripts/generate-cipherinfo.py
/usr/share/doc/packages/mumble/scripts/generate-ffdhe.py
/usr/share/doc/packages/mumble/scripts/generate-mumble_qt-qrc.py
/usr/share/doc/packages/mumble/scripts/generate-qrc.py
/usr/share/doc/packages/mumble/scripts/generateChangelog.py
/usr/share/doc/packages/mumble/scripts/generateIceWrapper.py
/usr/share/doc/packages/mumble/scripts/generate_cmake_options_docs.py
/usr/share/doc/packages/mumble/scripts/git2cl.pl
/usr/share/doc/packages/mumble/scripts/mkflags.py
/usr/share/doc/packages/mumble/scripts/mkini-win32.bat
/usr/share/doc/packages/mumble/scripts/mkini.sh
/usr/share/doc/packages/mumble/scripts/mklic.pl
/usr/share/doc/packages/mumble/scripts/mumble-overlay
/usr/share/doc/packages/mumble/scripts/mumble-version.py
/usr/share/doc/packages/mumble/scripts/mumble.protocol
/usr/share/doc/packages/mumble/scripts/murmur-user-wrapper
/usr/share/doc/packages/mumble/scripts/murmur.conf
/usr/share/doc/packages/mumble/scripts/murmur.init
/usr/share/doc/packages/mumble/scripts/murmur.logrotate
/usr/share/doc/packages/mumble/scripts/murmur.service
/usr/share/doc/packages/mumble/scripts/org.mumble_voip.mumble.appdata.xml
/usr/share/doc/packages/mumble/scripts/php.ini
/usr/share/doc/packages/mumble/scripts/rcc-depends.py
/usr/share/doc/packages/mumble/scripts/release.pl
/usr/share/doc/packages/mumble/scripts/runClangFormat.sh
/usr/share/doc/packages/mumble/scripts/server
/usr/share/doc/packages/mumble/scripts/server/dbus
/usr/share/doc/packages/mumble/scripts/server/dbus/ListUsers.cs
/usr/share/doc/packages/mumble/scripts/server/dbus/dbusauth.pl
/usr/share/doc/packages/mumble/scripts/server/dbus/murmur.pl
/usr/share/doc/packages/mumble/scripts/server/dbus/weblist.pl
/usr/share/doc/packages/mumble/scripts/server/ice
/usr/share/doc/packages/mumble/scripts/server/ice/addban.php
/usr/share/doc/packages/mumble/scripts/server/ice/glacier
/usr/share/doc/packages/mumble/scripts/server/ice/glacier/config
/usr/share/doc/packages/mumble/scripts/server/ice/glacier/glacier.php
/usr/share/doc/packages/mumble/scripts/server/ice/glacier/passwords
/usr/share/doc/packages/mumble/scripts/server/ice/icedemo.php
/usr/share/doc/packages/mumble/scripts/server/ice/idle.php
/usr/share/doc/packages/mumble/scripts/server/ice/mumble-auth.py
/usr/share/doc/packages/mumble/scripts/server/ice/rubytest.rb
/usr/share/doc/packages/mumble/scripts/server/ice/simpleregister.php
/usr/share/doc/packages/mumble/scripts/server/ice/testauth.py
/usr/share/doc/packages/mumble/scripts/server/ice/testcallback.py
/usr/share/doc/packages/mumble/scripts/server/ice/testdynamic.py
/usr/share/doc/packages/mumble/scripts/server/ice/weblist.php
/usr/share/doc/packages/mumble/scripts/transtate.py
/usr/share/doc/packages/mumble/scripts/updateLicenseHeaders.py
/usr/share/doc/packages/mumble/scripts/updatetranslations.py
/usr/share/doc/packages/mumble/scripts/vcpkg
/usr/share/doc/packages/mumble/scripts/vcpkg/get_mumble_dependencies.ps1
/usr/share/doc/packages/mumble/scripts/vcpkg/get_mumble_dependencies.sh
/usr/share/icons/hicolor
/usr/share/icons/hicolor/256x256
/usr/share/icons/hicolor/256x256/apps
/usr/share/icons/hicolor/256x256/apps/mumble.png
/usr/share/icons/hicolor/scalable
/usr/share/icons/hicolor/scalable/apps
/usr/share/icons/hicolor/scalable/apps/mumble.svg
/usr/share/man/man1/mumble-overlay.1.gz
/usr/share/man/man1/mumble.1.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Jul 12 23:36:13 2022